package implementation;

// see ../mdw2021/IPuzzle.java for comments about implementation of functions below

import mdw2021.IPuzzle;

import java.io.File;
import java.io.IOException;

public class Puzzle implements IPuzzle {
	private HolzPuzzle holzi;
	private HolzPuzzle holzo;

	public Puzzle() {

	}

	public void readInput(String filename) {
		FileInput i = new FileInput();
		this.holzi = i.read(new File(filename));
	}

	public void solve() {
		PuzzleLoeserOptiMopti p = new PuzzleLoeserOptiMopti();
		this.holzo = p.process(holzi);
	}

	public boolean hasSolution() {
		return this.holzo != null;
	}

	public void writeResult(String filename) {
		FileOutput o = new FileOutput();
		try {
			o.print(this.holzo, new File(filename));
		}catch(IOException e){
			e.printStackTrace();
		}
	}

}
